Bug 146570 - mounted devices sometimes don't show on desktop
mounted devices sometimes don't show on desktop
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2005-01-29 16:09 EST by Need Real Name
Modified: 2013-03-05 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-21 13:01:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-01-29 16:09:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
  Mounted CDs, FlashDisk, Camera etc., although automatically mounted
to the filesystem, sometimes just don't show on my desktop, sometimes
they do but mostly with crippled labels.
  To eject a CD, I have to issue the umount command manually, with
mixed results (it sometimes complains that the device is busy).
  Once my camera (usb mass storage device) didn't even mount to the
filesystem at all.

Example 1: I plug in a USB flash disk, the icon appears with a strange
name "Ao". It is mounted as /media/Ao

Example 2: I insert a CD, it mounts to /media/cdrecorder, but the icon
doesn't show. I try to browse the CD using Nautilus (Computer->CD RW
Drive->...) but it says (Unable to mount blah blah). But the icon then
shows and I am able to browse the CD.

Example 3: I insert a CD, it mounts to /media/cdrecorder, but the icon
doesn't show. I browse it's content using MC. After I am finished, I
change the working directory to home, properly quit the MC, but the CD
refuses to umount, because it's "busy" (user root).

Version-Release number of selected component (if applicable):
? - 0.4.7-1

How reproducible:

Steps to Reproduce:
1. Insert a removable device
2. Pray


Additional info:

FC3 with all recent bugfixes applied.
Comment 1 David Zeuthen 2005-03-21 13:01:56 EST
What you're seeing is probably a bug with gamin insofar that the
gnome-vfs-daemon doesn't get an event from gam_server when a disk is mounted. I
also think, FWIW, this is fixed with the latest updates.

Note You need to log in before you can comment on or make changes to this bug.